Name:           ladspa-caps-plugins
Version:        0.4.2
Release:        9%{?dist}
Summary:        The C* Audio Plugin Suite
License:        GPLv2+
Group:          Applications/Multimedia
URL:            http://quitte.de/dsp/caps.html
Source0:        http://quitte.de/dsp/caps_%{version}.tar.gz
Patch0:         caps-0.4.2-nostrip.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  ladspa-devel
Requires:       ladspa
Obsoletes:      caps <= 0.3.0-2
Provides:       caps = %{version}-%{release}

%description
caps, the C* Audio Plugin Suite, is a collection of refined LADSPA
units including instrument amplifier emulation, stomp-box classics,
versatile 'virtual analog' oscillators, fractal oscillation, reverb,
equalization and others.


%prep
%setup -q -n caps-%{version}
%patch0 -p1 -z .nostrip
# use the system version of ladspa.h
%{__rm} ladspa.h


%build
%{__make} %{?_smp_mflags} OPTS="$RPM_OPT_FLAGS -fPIC"


%install
%{__rm} -rf %{buildroot}
%{__make} DEST=%{buildroot}%{_libdir}/ladspa \
          RDFDEST=%{buildroot}%{_datadir}/ladspa/rdf install
# make sure plugin shared library is executable
%{__chmod} +x %{buildroot}%{_libdir}/ladspa/caps.so


%clean
%{__rm} -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc CHANGES COPYING README* caps.html
%{_libdir}/ladspa/*.so
%{_datadir}/ladspa/rdf/*


%changelog
* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.2-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.2-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.2-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Mar 24 2009 Hans de Goede <hdegoede@redhat.com> 0.4.2-4
- Remove -ffast-math from CFLAGS, as it causes errors in the output (#491636)

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.4.2-2
- Autorebuild for GCC 4.3

* Sun Sep 16 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 0.4.2-1
- Various specfile improvements to match the Fedora Packaging Guidelines
- Update to latest upstream release 0.4.2
- Submit for review for Fedora inclusion

* Fri Nov 24 2006 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.2.3-3
- change package name to caps-ladspa-plugins
- spec file tweaks
- added -fPIC build option

* Mon Jul  3 2006 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.2.3-2
- make sure the plugin shared library is executable (thanks to
  Michael Tiemann for finding this problem)

* Mon May  1 2006 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.2.3-1
- update to 0.3.0
- install rdf files (see README.ardour)

* Wed Jun 29 2005 Mario Torre <mppr_kris@tiscali.it>
- patch for gcc4

* Sun Jun  5 2005 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.2.3-1
- updated to 0.2.3
- added html documentation file in doc section

* Sun Dec 26 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 
- spec file cleanup

* Fri Dec  3 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.2.0-1
- updated to 0.2.0, added proper build flags

* Tue Mar 30 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.1.11-1
- updated to 0.1.11

* Tue Feb 24 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.1.8-1
- initial build
